GROUPADD(8)

NAZWA
groupadd - twórz nową grupę

SKŁADNIA
groupadd [-g gid [-o]] [-f] grupa

OPIS
Polecenie groupadd tworzy nowe konto grupy posługując się wartościami podanymi w wierszu poleceń i domyślnymi wartościami z systemu. W razie potrzeby zostanie wprowadzona do systemu nowa grupa.

OPCJE
Polecenie groupadd posiada następujące opcje:

-f  Ta opcja powoduje zakończenie programu ze statusem oznaczającym sukces jeśli podana groupa już istnieje. Z opcją -g, jeśli podany gid już istnieje, wybierany jest inny (unikalny) gid (czyli -g jest wyłączane).

-g gid
    Numeryczna wartość identyfikatora grupy. Wartość ta musi być niepowtarzalna, chyba że użyto opcji -o. Wartość ID grupy nie może być ujemna. Domyślnie używana jest najmniejsza wartość identyfikatora większa niż 999 a większa niż jakiejkolwiek innej grupy. Wartości między 0 a 999 są zwykle zarezerwowane dla kont systemowych.

PLIKI
/etc/group    - informacja o kontach grup
/etc/gshadow    - bezpieczna informacja o kontach grup

KOD ZAKOŃCZENIA

Polecenie groupadd kończy działanie z następującymi wartościami kodów zakończenia:
    0    - powodzenie
    2    - niewłaściwa składnia parametrów polecenia
    3    - niewłaściwe parametry opcji
    4    - uid jest już używany (i nie użyto opcji -o)
    9    - nazwa groupy nie jest unikalna
    10    - niemożliwa aktualizacja plików grup

ZOBACZ TAKŻE
chfn(1), chsh(1), passwd(1), groupdel(8), groupmod(8). useradd(8), userdel(8), usermod(8),

AUTOR
Julianne Frances Haugh (jockgrrl@ix.netcom.com)